LR_XML2REPORT.IN(1)

NAME
lr_xml2report - Format a XML report to the appropriate output format

SYNOPSIS
lr_xml2report [options] [report_file] [output_file]

lr_xml2report --version

lr_xml2report --help [dlf-converters|output-formats|report-templates]

OPTIONS

--help [section]
    If no argument is given, prints usage information and exits. Argument can be one of the following:

    dlf-converters
        Prints the list of available DLF converters and exits.

    output-formats
        Prints the list of available output formats and exits.

    report-templates
        Prints the list of available report templates and exits.

--output-format output format
    Selects the ouput format in which to generate the report.

--template name
    Uses the report configuration template named name to merge the reports. This option is required when using the --merge option to merge reports.

--merge report_file
    Merge report_file before formatting the report. This option can be used multiple times to merge more than two reports.

DESCRIPTION
lr_xml2report converts the XML reports generated by Lire to various output format.

The script could be run as e.g.

 lr_xml2report --output-format pdf --template print_default \
   --merge report.2.xml --merge report.1.xmlreport.3.xml > report.pdf

(in multiple XML input files mode) or as

run lr_xml2report --output-format txt report.xml report.txt

(in single XML input file mode).

SEE ALSO
lr_log2mail(1), lr_log2report(1), lr_xml2mail(1), lire(1), lire(7), documentation in the Lire User Manual

AUTHORS
  Joost van Baal <joostvb@logreport.org>
  Francis J. Lacoste <flacoste@logreport.org>

VERSION
$Id: lr_xml2report.in,v 1.24 2006/07/23 13:16:33 vanbaal Exp $

COPYRIGHT
Copyright (C) 2000-2004 Stichting LogReport Foundation LogReport@LogReport.org

This program is part of Lire.

Lire is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html.